#include <bits/stdc++.h>

using namespace std;

struct broj
{
    int br;
    int indeks;
};

bool comp(broj b1,broj b2)
{
    return b1.br > b2.br;
}
int n;
int k;
bool mark[500005];
//0-rastuci
//1-opadajuci
//2-neutralni
int l,r;
broj brojevi[500005];
int res[500005];

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    cerr.tie(0);

    cin >> n >> k;

    for(int i=1;i<=n;i++)
    {
        cin >> brojevi[i].br;
        brojevi[i].indeks=i;
    }

    int ostalo=n-k;

    sort(brojevi+1,brojevi+ostalo+1,comp);

    for(int i=k+1;i<=n;i++)
    {
        res[brojevi[i].indeks]=brojevi[i].br;
        mark[brojevi[i].indeks]=true;
    }

    for(int i=1;i<=n;i++) if(mark[i]) cout << res[i] << " ";

    return 0;
}